package model

import (
	"github.com/shopspring/decimal"
)

type Meter04KV struct {
	CreatedAndModified `xorm:"extends"`
	Code               string          `xorm:"varchar(120) pk not null" json:"code" excel:"code"`
	ParkId             string          `xorm:"varchar(120) pk not null" json:"parkId"`
	Address            *string         `xorm:"varchar(100)" json:"address" excel:"address"`
	CustomerName       *string         `xorm:"varchar(100)" json:"customerName" excel:"name"`
	ContactName        *string         `xorm:"varchar(70)" json:"contactName" excel:"contact"`
	ContactPhone       *string         `xorm:"varchar(50)" json:"contactPhone" excel:"phone"`
	Ratio              decimal.Decimal `xorm:"numeric(8,4) not null default 1" json:"ratio" excel:"ratio"`
	Seq                int64           `xorm:"bigint not null" json:"seq" excel:"seq"`
	IsPublicMeter      bool            `xorm:"'public_meter' bool not null default false" json:"isPublicMeter" excel:"public"`
	WillDilute         bool            `xorm:"'dilute' bool not null default false" json:"willDilute" excel:"dilute"`
	Enabled            bool            `xorm:"bool not null default true" json:"enabled"`
}

func (Meter04KV) TableName() string {
	return "meter_04kv"
}
